Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365011 - [Doc RFE] Document granular entry self-heal
Summary: [Doc RFE] Document granular entry self-heal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Divya
QA Contact: SATHEESARAN
URL:
Whiteboard:
: 1365844 (view as bug list)
Depends On:
Blocks: 1351549
TreeView+ depends on / blocked
 
Reported: 2016-08-08 11:10 UTC by Krutika Dhananjay
Modified: 2017-03-24 10:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 10:19:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1361098 None None None Never

Internal Links: 1361098

Description Krutika Dhananjay 2016-08-08 11:10:54 UTC
Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information: 

There are only two commands pertaining to this feature:

# gluster volume set <VOL> granular-entry-heal on

to enable granular entry healing, and

# gluster volume set <VOL> granular-entry-heal off

to disable it.

Comment 3 Anjana Suparna Sriram 2016-08-10 11:00:30 UTC
*** Bug 1365844 has been marked as a duplicate of this bug. ***

Comment 5 Divya 2016-11-09 06:49:34 UTC
Hi Krutika,

I need a bit more information for this one.

- Planning to document this option in the table under "10.1. Configuring Volume Options" 
https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Administration_Guide/index.html#Configuring_Volume_Options

Let me know if this is fine.

- Please provide a brief description of the options. 

- Is there anything else you think customers should know about this option?

- Is there any usecase where a customer would NOT want this enabled?

- Is there any performance impact when these options are enabled? 

Thanks!

Comment 6 Krutika Dhananjay 2016-11-17 06:30:24 UTC
(In reply to Divya from comment #5)
> Hi Krutika,
> 
> I need a bit more information for this one.
> 
> - Planning to document this option in the table under "10.1. Configuring
> Volume Options" 
> https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-
> single/Administration_Guide/index.html#Configuring_Volume_Options
> 
> Let me know if this is fine.
> 
> - Please provide a brief description of the options. 

The feature itself can be enabled and disabled respectively using the following two commands:

# gluster volume heal <VOLNAME> granular-entry-heal enable
# gluster volume heal <VOLNAME> granular-entry-heal disable

NOTE: The patch that adds this new CLI is still under review at http://review.gluster.org/#/c/15747/. If anything changes during the review, I'll post a comment here again to notify you of the change.

There are no other options wrt this feature except for the one above.

> 
> - Is there anything else you think customers should know about this option?

None.

> 
> - Is there any usecase where a customer would NOT want this enabled?

As far as RHGS 3.2.0 is concerned, this feature is only supported for HC/ROBO (Grafton) use-case.
> 
> - Is there any performance impact when these options are enabled? 

Enabling the option should help entry-self-heal on directories complete sooner, especially if the directory has lot of entries.

> 
> Thanks!

-Krutika

Comment 7 Divya 2016-11-22 06:46:19 UTC
Thanks for your inputs Krutika!

I have drafted the content for this volume option based on your inputs and is available at: https://docs.google.com/document/d/1zwjwzzjucE0qXfHWqfIXa3RnVJ1D0_WpjVonUFvwnDU/edit#heading=h.9wgwad9hj5or

Could you please review and comment in the google doc if it is still technically accurate after the editing :)

Thanks,
Divya

Comment 8 Krutika Dhananjay 2016-11-22 07:29:43 UTC
Hi Divya,

 The draft looks good to me. I just wanted to know where it will be specified that the feature as of 3.2.0 will be supported for grafton/HC-ROBO use case as also the other details like the command to be used to turn the option on/off.

-Krutika

Comment 9 Divya 2016-11-22 09:19:56 UTC
(In reply to Krutika Dhananjay from comment #8)
> Hi Divya,
> 
>  The draft looks good to me. 

Thanks for the confirmation

I just wanted to know where it will be
> specified that the feature as of 3.2.0 will be supported for grafton/HC-ROBO
> use case as also the other details like the command to be used to turn the
> option on/off.

This option will be added in the 3.2 Admin Guide in the table under "10.1. Configuring Volume Options" section.

Link to the 3.1.3 Admin guide for reference: https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Administration_Guide/index.html#Configuring_Volume_Options

Let me know if this option has to be documented in the grafton/HC-ROBO guide, I will raise another bug with the respective doc component.

> 
> -Krutika

Comment 10 Krutika Dhananjay 2016-11-22 10:27:57 UTC
(In reply to Divya from comment #9)
> (In reply to Krutika Dhananjay from comment #8)
> > Hi Divya,
> > 
> >  The draft looks good to me. 
> 
> Thanks for the confirmation
> 
> I just wanted to know where it will be
> > specified that the feature as of 3.2.0 will be supported for grafton/HC-ROBO
> > use case as also the other details like the command to be used to turn the
> > option on/off.
> 
> This option will be added in the 3.2 Admin Guide in the table under "10.1.
> Configuring Volume Options" section.
> 
> Link to the 3.1.3 Admin guide for reference:
> https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-
> single/Administration_Guide/index.html#Configuring_Volume_Options
> 
> Let me know if this option has to be documented in the grafton/HC-ROBO
> guide, I will raise another bug with the respective doc component.
> 

Hi,

I just spoke to Sahina about it and she tells me there's an Operations Guide in Grafton where these will be captured. And Laura is working on that. So she could sync with you in the coming days.

So for now, there is no need to raise another bug I think.

-Krutika

> > 
> > -Krutika

Comment 19 Divya 2017-02-01 11:45:46 UTC
Kruthika,

I have updated the documentation based on my discussion with Sas and as per comment 17.

Link to the doc: http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Configuring_Volume_Options

Could you please verify if the changes are fine before moving the bug ON_QA?

Thanks!

Comment 20 Krutika Dhananjay 2017-02-01 14:59:38 UTC
It looks good for the most part except for the following line:

" If the volume is started, execute gluster volume heal VOLNAME granular-entry-heal enable / disable command to enable or disable granular-entry-heal option. "

Actually, if the volume is in any state other than "created" -- and that includes not just the "started" state but also the "stopped" state -- then the user has to use the `gluster volume heal ...` command as opposed to `gluster volume set ...` command.

Comment 21 Divya 2017-02-02 08:36:31 UTC
(In reply to Krutika Dhananjay from comment #20)

Thanks, Krutika!

I have updated the documentation based on comment 20.

Link to the doc: http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#Configuring_Volume_Options

Moving the bug ON_QA.

Comment 22 SATHEESARAN 2017-02-06 09:12:20 UTC
Verified based on the comment21

Comment 23 SATHEESARAN 2017-02-06 09:12:53 UTC
(In reply to SATHEESARAN from comment #22)
> Verified based on the comment21

Verified with the doc link provided in comment21

Comment 24 Rejy M Cyriac 2017-03-24 10:19:26 UTC
RHGS 3.2.0 GA completed on 23 March 2017


Note You need to log in before you can comment on or make changes to this bug.